Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.option.jdom
Class DocumentWrapper

    java.lang.Object
      net.sf.saxon.option.jdom.NodeWrapper
          net.sf.saxon.option.jdom.DocumentWrapper

All Implemented Interfaces:
  Source, PullEvent, DocumentInfo, Item<NodeInfo>, NodeInfo, ValueRepresentation<NodeInfo>, SiblingCountingNode, VirtualNode

    public class DocumentWrapper

extends NodeWrapper
implements DocumentInfo

The root node of an XPath tree. (Or equivalently, the tree itself).

This class should have been named Root; it is used not only for the root of a document, but also for the root of a result tree fragment, which is not constrained to contain a single top-level element.

Author:
  Michael H. Kay

Field Summary
`protected String` | `baseURI`
`protected Configuration` | `config`
`protected long` | `documentNumber`

Fields inherited from class net.sf.saxon.option.jdom.NodeWrapper
`docWrapper, index, node, nodeKind`

Fields inherited from interface net.sf.saxon.om.NodeInfo
`ALL_NAMESPACES, IS_DTD_TYPE, IS_NILLED, LOCAL_NAMESPACES, NO_NAMESPACES`

Fields inherited from interface net.sf.saxon.om.ValueRepresentation
`EMPTY_VALUE_ARRAY`

Constructor Summary
`DocumentWrapper(org.jdom.Document doc, String baseURI, Configuration config)` Create a Saxon wrapper for a JDOM document

Method Summary
`Configuration` | `getConfiguration()` Get the configuration previously set using setConfiguration (or the default configuraton allocated automatically)
`long` | `getDocumentNumber()` Get the unique document number
`NamePool` | `getNamePool()` Get the name pool used for the names in this document
`SchemaType` | `getSchemaType()` Get the type annotation of this node, if any.
`int` | `getTypeAnnotation()` Get the type annotation.
`String[]` | `getUnparsedEntity(String name)` Get the unparsed entity with a given name
`Iterator<String>` | `getUnparsedEntityNames()` Get the list of unparsed entities defined in this document
`Object` | `getUserData(String key)` Get user data held in the document node.
`boolean` | `isTyped()` Ask whether the document contains any nodes whose type annotation is anything other than UNTYPED
`NodeInfo` | `selectID(String id, boolean getParent)` Get the element with a given ID, if any
`void` | `setConfiguration(Configuration config)` Set the configuration (containing the name pool used for all names in this document)
`void` | `setUserData(String key, Object value)` Set user data on the document node.
`NodeWrapper` | `wrap(Object node)` Wrap a node in the JDOM document.

Methods inherited from class net.sf.saxon.option.jdom.NodeWrapper
`atomize, compareOrder, copy, equals, generateId, getAttributeValue, getAttributeValue, getBaseURI, getColumnNumber, getDeclaredNamespaces, getDisplayName, getDocumentRoot, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNodeKind, getParent, getPrefix, getRealNode, getRoot, getSiblingPosition, getStringValue, getStringValueCS, getSystemId, getTypedValue, getUnderlyingNode, getURI, hasChildNodes, hashCode, isId, isIdref, isNilled, isSameNodeInfo, iterateAxis, iterateAxis, makeWrapper, makeWrapper, setSystemId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.saxon.om.NodeInfo
`atomize, compareOrder, copy, equals, generateId, getAttributeValue, getAttributeValue, getBaseURI, getColumnNumber, getDeclaredNamespaces, getDisplayName, getDocumentRoot, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNodeKind, getParent, getPrefix, getRoot, getStringValue, getSystemId, getURI, hasChildNodes, hashCode, isId, isIdref, isNilled, isSameNodeInfo, iterateAxis, iterateAxis`

Methods inherited from interface javax.xml.transform.Source
`setSystemId`

Methods inherited from interface net.sf.saxon.om.Item
`getStringValueCS, getTypedValue`

Field Detail

### config

    protected Configuration config

### baseURI

    protected String baseURI

### documentNumber

    protected long documentNumber

Constructor Detail

### DocumentWrapper

    public DocumentWrapper(org.jdom.Document doc,
                           String baseURI,
                           Configuration config)

  Create a Saxon wrapper for a JDOM document

  Parameters:
    `doc` - The JDOM document
    `baseURI` - The base URI for all the nodes in the document
    `config` - The Saxon Configuration

Method Detail

### wrap

    public NodeWrapper wrap(Object node)

  Wrap a node in the JDOM document.

  Parameters:
    `node` - The node to be wrapped. This must be a node in the same document (the system does not check for this).
  Returns:
    the wrapping NodeInfo object

### setConfiguration

    public void setConfiguration(Configuration config)

  Set the configuration (containing the name pool used for all names in this document)

### getConfiguration

    public Configuration getConfiguration()

  Get the configuration previously set using setConfiguration (or the default configuraton allocated automatically)

  Specified by:
    `getConfiguration` in interface `NodeInfo`
  Overrides:
    `getConfiguration` in class `NodeWrapper`
  Returns:
    the Configuration

### getNamePool

    public NamePool getNamePool()

  Get the name pool used for the names in this document

  Specified by:
    `getNamePool` in interface `NodeInfo`
  Overrides:
    `getNamePool` in class `NodeWrapper`
  Returns:
    the NamePool

### getDocumentNumber

    public long getDocumentNumber()

  Get the unique document number

  Specified by:
    `getDocumentNumber` in interface `NodeInfo`
  Overrides:
    `getDocumentNumber` in class `NodeWrapper`
  Returns:
    the document number of the document containing this node

### isTyped

    public boolean isTyped()

  Ask whether the document contains any nodes whose type annotation is anything other than UNTYPED

  Specified by:
    `isTyped` in interface `DocumentInfo`
  Returns:
    true if the document contains elements whose type is other than UNTYPED

### selectID

    public NodeInfo selectID(String id,
                             boolean getParent)

  Get the element with a given ID, if any

  Specified by:
    `selectID` in interface `DocumentInfo`
  Parameters:
    `id` - the required ID value
    `getParent` -
  Returns:
    the element node with the given ID if there is one, otherwise null.

### getUnparsedEntityNames

    public Iterator<String> getUnparsedEntityNames()

  Get the list of unparsed entities defined in this document

  Specified by:
    `getUnparsedEntityNames` in interface `DocumentInfo`
  Returns:
    an Iterator, whose items are of type String, containing the names of all unparsed entities defined in this document. If there are no unparsed entities or if the information is not available then an empty iterator is returned

### getUnparsedEntity

    public String[] getUnparsedEntity(String name)

  Get the unparsed entity with a given name

  Specified by:
    `getUnparsedEntity` in interface `DocumentInfo`
  Parameters:
    `name` - the name of the entity
  Returns:
    null: JDOM does not provide access to unparsed entities

### getTypeAnnotation

    public int getTypeAnnotation()

  Get the type annotation. Always XS_UNTYPED.

  Specified by:
    `getTypeAnnotation` in interface `NodeInfo`
  Overrides:
    `getTypeAnnotation` in class `NodeWrapper`
  Returns:
    the type annotation of the node, under the mask NamePool.FP_MASK, and optionally the bit setting IS_DTD_TYPE in the case of a DTD-derived ID or IDREF/S type (which is treated as untypedAtomic for the purposes of obtaining the typed value).

    For elements and attributes, this is the type annotation as defined in XDM. For document nodes, it should be one of XS_UNTYPED if the document has not been validated, or XS_ANY_TYPE if validation has taken place (that is, if any node in the document has an annotation other than Untyped or UntypedAtomic).

### getSchemaType

    public SchemaType getSchemaType()

  Get the type annotation of this node, if any. The type annotation is represented as SchemaType object.

  Types derived from a DTD are not reflected in the result of this method.

  Specified by:
    `getSchemaType` in interface `NodeInfo`
  Overrides:
    `getSchemaType` in class `NodeWrapper`
  Returns:
    For element and attribute nodes: the type annotation derived from schema validation (defaulting to xs:untyped and xs:untypedAtomic in the absence of schema validation). For comments, text nodes, processing instructions, and namespaces: null. For document nodes, either xs:untyped if the document has not been validated, or xs:anyType if it has.
  Since:
    9.4

### setUserData

    public void setUserData(String key,
                            Object value)

  Set user data on the document node. The user data can be retrieved subsequently using `getUserData(java.lang.String)`

  Specified by:
    `setUserData` in interface `DocumentInfo`
  Parameters:
    `key` - A string giving the name of the property to be set. Clients are responsible for choosing a key that is likely to be unique. Must not be null. Keys used internally by Saxon are prefixed "saxon:".
    `value` - The value to be set for the property. May be null, which effectively removes the existing value for the property.

### getUserData

    public Object getUserData(String key)

  Get user data held in the document node. This retrieves properties previously set using `setUserData(java.lang.String, java.lang.Object)`

  Specified by:
    `getUserData` in interface `DocumentInfo`
  Parameters:
    `key` - A string giving the name of the property to be retrieved.
  Returns:
    the value of the property, or null if the property has not been defined.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.